CVE Vulnerabilities

CVE-2004-1035

Published: Mar 01, 2005 | Modified: Jul 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
6.4 MEDIUM
AV:N/AC:L/Au:N/C:P/I:N/A:P
RedHat/V2
RedHat/V3
Ubuntu

Multiple integer signedness errors in (1) imapcommon.c, (2) main.c, (3) request.c, and (4) select.c for up-imapproxy IMAP proxy 1.2.2 allow remote attackers to cause a denial of service (server crash) and possibly leak sensitive information via certain literal values that are not properly handled when using the IMAP_Line_Read function.

Affected Software

Name Vendor Start Version End Version
Imap_proxy Imap_proxy 1.2.2 1.2.2
Up-imapproxy Ubuntu dapper *
Up-imapproxy Ubuntu devel *
Up-imapproxy Ubuntu edgy *
Up-imapproxy Ubuntu feisty *

References